function pos_customer(instance, module){

    var PosModelSuper = module.PosModel;
    module.PosModel = module.PosModel.extend({
        load_server_data: function(){
            var self = this;
            var loaded = PosModelSuper.prototype.load_server_data.call(this);

            loaded = loaded.then(function(){
                return self.fetch(
                    'res.partner',
                    ['ruc','fax'],
                );

            }).then(function(partners){
                $.each(partners, function(){
                    $.extend(self.db.get_partner_by_id(this.id) || {}, this);
                });
                return $.when();
            });
            return loaded;
        },
    });
}
